Set RSVP option audience
curl --request PUT \
--url https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}/rsvp-options/{optionId}/audience \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tagIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"customerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tagIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
customerIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}/rsvp-options/{optionId}/audience', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}/rsvp-options/{optionId}/audience"
payload = {
"tagIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"customerIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"data": {
"success": true
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Social events
Set RSVP option audience
Requires write:social-events. Body optional tagIds / customerIds — replaces allowed tags/customers for that option.
PUT
/
api
/
v1
/
marketing
/
social-events
/
{id}
/
rsvp-options
/
{optionId}
/
audience
Set RSVP option audience
curl --request PUT \
--url https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}/rsvp-options/{optionId}/audience \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tagIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"customerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tagIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
customerIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}/rsvp-options/{optionId}/audience', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}/rsvp-options/{optionId}/audience"
payload = {
"tagIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"customerIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"data": {
"success": true
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Authorizations
Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.
Response
Updated.
Show child attributes
Show child attributes
Was this page helpful?
⌘I